/******************************************************************************
  Filename: comlab_wrapper_trxeb.h
  
  Description: 

  Notes: 
  
******************************************************************************/

/******************************************************************************
 * INCLUDES
 */
#include "hal_led_trxeb.h"
#include "hal_button_trxeb.h"
#include "hal_lcd_trxeb.h"

/******************************************************************************
 * FUNCTIONS
 */
void halBoardInit(void);
void halLcdWriteLine(uint8 line, const char* text);

/******************************************************************************
 * MACROS
 */

// LEDS
#define HAL_LED_SET_1() \
  do { \
  halLedSet(LED_1); \
} while (0)

#define HAL_LED_CLR_1() \
  do { \
  halLedClear(LED_1); \
} while (0)

#define HAL_LED_TGL_1() \
  do { \
  halLedToggle(LED_1); \
} while (0)

#define HAL_LED_SET_2() \
  do { \
  halLedSet(LED_2); \
} while (0)

#define HAL_LED_CLR_2() \
  do { \
  halLedClear(LED_2); \
} while (0)

#define HAL_LED_TGL_2() \
  do { \
  halLedToggle(LED_2); \
} while (0)

#define HAL_LED_SET_3() \
  do { \
  halLedSet(LED_3); \
} while (0)

#define HAL_LED_CLR_3() \
  do { \
  halLedClear(LED_3); \
} while (0)

#define HAL_LED_TGL_3() \
  do { \
  halLedToggle(LED_3); \
} while (0)

#define HAL_LED_SET_4() \
  do { \
  halLedSet(LED_4); \
} while (0)

#define HAL_LED_CLR_4() \
  do { \
  halLedClear(LED_4); \
} while (0)

#define HAL_LED_TGL_4() \
  do { \
  halLedToggle(LED_4); \
} while (0)

// BUTTONS
#define HAL_BUTTON_1_PUSHED() (halButtonsPushed() == HAL_BUTTON_UP)
#define HAL_BUTTON_2_PUSHED() (halButtonsPushed() == HAL_BUTTON_RIGHT)
#define HAL_BUTTON_3_PUSHED() (halButtonsPushed() == HAL_BUTTON_DOWN)
#define HAL_BUTTON_4_PUSHED() (halButtonsPushed() == HAL_BUTTON_LEFT)




/*******************************************************************************
  Copyright 2011 Texas Instruments Incorporated. All rights reserved.

  IMPORTANT: Your use of this Software is limited to those specific rights
  granted under the terms of a software license agreement between the user
  who downloaded the software, his/her employer (which must be your employer)
  and Texas Instruments Incorporated (the "License").  You may not use this
  Software unless you agree to abide by the terms of the License. The License
  limits your use, and you acknowledge, that the Software may not be modified,
  copied or distributed unless embedded on a Texas Instruments microcontroller
  or used solely and exclusively in conjunction with a Texas Instruments radio
  frequency transceiver, which is integrated into your product.  Other than for
  the foregoing purpose, you may not use, reproduce, copy, prepare derivative
  works of, modify, distribute, perform, display or sell this Software and/or
  its documentation for any purpose.

  YOU FURTHER ACKNOWLEDGE AND AGREE THAT THE SOFTWARE AND DOCUMENTATION ARE
  PROVIDED AS IS WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED,
  INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY, TITLE,
  NON-INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL
  TEXAS INSTRUMENTS OR ITS LICENSORS BE LIABLE OR OBLIGATED UNDER CONTRACT,
  NEGLIGENCE, STRICT LIABILITY, CONTRIBUTION, BREACH OF WARRANTY, OR OTHER
  LEGAL EQUITABLE THEORY ANY DIRECT OR INDIRECT DAMAGES OR EXPENSES
  INCLUDING BUT NOT LIMITED TO ANY INCIDENTAL, SPECIAL, INDIRECT, PUNITIVE
  OR CONSEQUENTIAL DAMAGES, LOST PROFITS OR LOST DATA, COST OF PROCUREMENT
  OF SUBSTITUTE GOODS, TECHNOLOGY, SERVICES, OR ANY CLAIMS BY THIRD PARTIES
  (INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF), OR OTHER SIMILAR COSTS.

  Should you have any questions regarding your right to use this Software,
  contact Texas Instruments Incorporated at www.TI.com.
***********************************************************************************/